> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cdn/purge/describepurgetimes.md).

# DescribePurgeTimes

## 1. API Description

This interface is used to query the remaining number of refresh/prefetch operations available per day.

## 2. Output Parameters Result

| Parameter Name         | Type    | Description                                                                                 |
| ---------------------- | ------- | ------------------------------------------------------------------------------------------- |
| requestId              | String  | Unique request ID, returned with each request. Provide this requestId when locating issues. |
| maxUrlPurgeTimes       | Integer | Maximum number of file refresh operations.                                                  |
| remainingUrlPurgeTimes | Integer | Remaining number of file refresh operations.                                                |
| maxDirPurgeTimes       | Integer | Maximum number of directory refresh operations.                                             |
| remainingDirPurgeTimes | Integer | Remaining number of directory refresh operations.                                           |
| maxPrefetchTimes       | Integer | Maximum number of prefetch operations.                                                      |
| remainingPrefetchTimes | Integer | Remaining number of prefetch operations.                                                    |

## 3. Code Example

{% tabs %}
{% tab title="Example" %}

1. **Query Remaining Refresh/Prefetch Times per Day**

```json
POST / HTTP/1.1
Host: console.zenlayer.com/api/v2/cdn
Content-Type: application/json
X-ZC-Action: DescribePurgeTimes
<Common Request Params>

Request:
{
  "taskId": "taskId-xxxxxxx"
}

Response:
{
  "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
  "response": {
    "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
    "maxUrlPurgeTimes": 1000,
    "remainingUrlPurgeTimes": 500,
    "maxDirPurgeTimes": 100,
    "remainingDirPurgeTimes": 20,
    "maxPrefetchTimes": 1000,
    "remainingPrefetchTimes": 600
  }
}
```

{% endtab %}
{% endtabs %}

## 4. Error Codes

The following includes error codes encountered in business logic. For other error codes, see [Common Error Codes](https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/commonerrorcode.md).
